Redmine - Feature #26839

Inline Email Diff For Issue 'Description’ Changes
2017-09-04 22:55 - Adrian Racu

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour

Target version:

Resolution:

Description

We currently use email notifications to see what changes are made to issues we're assigned. We usually don't have to open
Redmine to see the changes, because the email contains (almost) all of them listed inline:

e Category changed from Foo to Bar
e Status Changed from New to Resolved
e efc.

The only attribute that doesn't not have a diff listed inline is "Description”. The email has a generic/static "Description updated" line
for it.

In order for us to actually see the diff for Description, we have to open the issue in Redmine and then click the "diff" link (example diff
from a random issue #23717)

Couldn't the 'Description diff' already be shown in the email inline, so we are no longer forced to open Redmine only for the diff?
Descriptions are updated quite frequently in our workplace, so it would really help us.

A similar issue was listed before, but for wiki page changes (#12508, #11530). I'm not sure if the hook approach taken there is the
best one for this or a different approach might work better.

Related issues:

Related to Redmine - Feature #12508: Add diff to wiki change notification New
Related to Redmine - Feature #11530: Support hooks in mailer New
History

#1 - 2017-10-04 13:11 - Toshi MARUYAMA
- Related to Feature #12508: Add diff to wiki change notification added

#2 - 2017-10-04 13:11 - Toshi MARUYAMA
- Related to Feature #11530: Support hooks in mailer added

#3 - 2019-02-10 02:00 - Go MAEDA

- Category set to Email notifications

#4 - 2021-08-24 16:23 - Maximilian Eschenbacher
This feature would be highly appreciated.
